<?
use LabBase\Model\Image;

?>

<style>
    .feedTable {
        width: 100%;
        border-collapse: collapse;
    }
    .feedTable td {
        border: 1px solid #ddd;
        padding: 4px 5px;
        vertical-align: top;
    }
    .feedTable thead * {
        background: #ddd;
    }
    .feedTable tr:nth-child(odd) {
        background: #fff;
    }
    .feedTable tr:nth-child(even) {
        background: #eee;
    }
    .feedTable img {
        max-width: 200px;
        max-height: 500px;
    }
    .feedTable img:hover {
        max-width: 550px;
        max-height: 1000px;
    }
</style>

<script>
    function removeImage(url) {
        $('#removeImageUrlInput').attr('value', url);
        $('#removeImageForm').submit();
    }
</script>

<form id="removeImageForm" action="<?= $this->url('root/adminPanel', ['action' => 'imageManager']); ?>" method="post">
    <input id="removeImageUrlInput" type="hidden" name="removeImage" value="-1" />
</form>

<div class="node">
    <div class="align-center">
        <div class="form-container fullwidth" style="margin-bottom: 100px;">

            <h1>Image Manager</h1>

            <h2>Upload image</h2>

            <span style="color: red"><?= $errors ?></span>
            <form enctype="multipart/form-data" method="post" action="<?= $this->url('root/adminPanel', ['action' => 'imageManager']); ?>">
                Image Name:
                    <span style="color: #777; font-weight: bolder;">system-</span>
                    <input type="text" name="imageName" style="width: 200px" />

                <input type="file" name="uploadImageFile" accept="image/*" style="max-width: 200px" />
                Upload raw: <input type="checkbox" name="uploadRaw" checked="checked" />
                <input type="submit" value="Upload image" />
            </form>


            <h2>List of system images</h2>
            <table class="feedTable">
                <thead> <td>Image</td> <td>Identifier</td> <td>Date uploaded</td> <td>Remove</td> </thead>
                <? foreach($images as $image) { /** @var $image Image */?>
                    <tr>
                        <td>
                            <a href="<?= $image->getURL(); ?>?<?= $image->dateCreated ?>">
                                <img src="<?= $image->getURL(); ?>?<?= $image->dateCreated ?>" />
                            </a>
                        </td>
                        <td><?= $image->stringIdentifier; ?></td>
                        <td><?= date('d M Y G:i:s', $image->dateCreated) ?></td>
                        <td><a href="#" onclick="removeImage('<?= $image->stringIdentifier; ?>'); return false;">Remove</a></td>
                    </tr>
                <? } ?>
            </table>

        </div>
    </div>
</div>